#5 closed enhancement (fixed)

Support for shorter time-periods than 5 minutes

Reported by: anonymous Owned by: kjellm
Priority: high Milestone: Munin 2.0.0
Component: design Version:
Severity: normal Keywords: None
Cc:

Description (last modified by snide)

Currently Munin gathers (and stores) one plot for every 5 minutes. This should be more tunable. See also 51

Debian bug 464880 is also about this one.

Attachments (3)

UpdateWorker.pm.patch (1.2 KB) - added by muhgatus at 2009-11-30T16:52:09+01:00.
A patch for UpdateWorker?.pm to support RRD with 30 second sample interval. In order to use it, you have to edit munin-cron to disable munin-update. run munin-update seperately every 30 seconds.
munin-update_rate.diff (2.5 KB) - added by snide at 2009-12-06T13:21:21+01:00.
Patch to add an update_rate plugin general config
bullet-right.gif (46 bytes) - added by Slavon8 at 2014-05-31T08:36:57+02:00.
here

Download all attachments as: .zip

Change History (17)

comment:1 Changed at 2005-11-29T15:30:14+01:00 by janl

Prolly need to implement a check-scheduler so we can graph on intervals down to, say - 5, seconds. Look at doing this together with zoomable graphs.

comment:2 Changed at 2005-12-02T18:42:43+01:00 by janl

  • Milestone Munin 1.4 deleted
  • Owner changed from jo to janl

This should probably be postponed for a complete sample scheduling redesign:

  • I want nodes to be able to sample themselves and report all data "since the last update" when the updater connects to them. This enables important nodes to be graphed across network downages
  • The scheduling must be done with a process rather than a cron-job to obtain good results
  • And the more frequent sampling must scale, which probably dictates sharing the job between the server and the node

comment:3 Changed at 2005-12-02T20:40:40+01:00 by janl

  • Description modified (diff)
  • Milestone set to Munin 1.6

comment:4 Changed at 2006-06-19T23:45:35+02:00 by anonymous

  • Cc nobody removed
  • Component changed from wiki to design
  • Milestone changed from Munin 1.6 to Munin 1.4
  • Owner changed from nobody to anonymous
  • Priority changed from low to high
  • Severity changed from major to normal
  • Status changed from new to assigned

Sampling redesign underway.

comment:5 Changed at 2006-06-19T23:45:50+02:00 by anonymous

  • Owner changed from anonymous to janl
  • Status changed from assigned to new

comment:6 Changed at 2006-10-19T09:48:21+02:00 by janl

  • Status changed from new to assigned

comment:7 Changed at 2009-02-27T10:39:02+01:00 by janl

  • Owner changed from janl to kjellm
  • Status changed from assigned to new

comment:8 Changed at 2009-10-20T16:10:43+02:00 by janl

  • Milestone changed from Munin 1.4 to Munin 1.6

comment:9 Changed at 2009-10-21T00:31:08+02:00 by janl

  • Version 1.2.3 deleted

Changed at 2009-11-30T16:52:09+01:00 by muhgatus

A patch for UpdateWorker?.pm to support RRD with 30 second sample interval. In order to use it, you have to edit munin-cron to disable munin-update. run munin-update seperately every 30 seconds.

Changed at 2009-12-06T13:21:21+01:00 by snide

Patch to add an update_rate plugin general config

comment:10 Changed at 2010-02-14T14:05:59+01:00 by snide

  • Milestone changed from Munin 1.6 to Munin 1.5
  • Resolution set to fixed
  • Status changed from new to closed

Initial support added in r3322.

munin-update remembers when it was last run and it can be scheduled every minute. Every plugin that have to special config will only be updated every 5 mins.

This enables plugins that are quite expensive to generate but don't vary much to be scheduled only every hour, day, ...

On the other side, sub-minute sampling is quite difficult to have right now, since for now the update is crontab-scheduled.

comment:11 Changed at 2010-02-14T14:08:53+01:00 by snide

  • Description modified (diff)

comment:12 Changed at 2011-01-14T11:02:23+01:00 by Dyr

  • Resolution fixed deleted
  • Status changed from closed to reopened

Am I right - approved part of patch doesn't increase resolution of .rrd files and so are fully useless in getting 1 minute graphs even if specify update_rate?!

comment:13 Changed at 2011-01-14T11:08:13+01:00 by Dyr

30 seconds interval is obviously useless under "usual" conditions but can be useful if do functionality of "real-time" plot like it does in that plugin for Cacti (i.e. in "manual mode" updating).
Moreover, 1 minute interval will be very useful in "crontab-mode", so why don't approve other part of patch, rewrite it before to support 60sec instead of 30sec step?

comment:14 Changed at 2011-09-12T15:31:00+02:00 by snide

  • Resolution set to fixed
  • Status changed from reopened to closed

current trunk fully supports custom update_rate, and increase resolution of .rrd files accordingly.

Changed at 2014-05-31T08:36:57+02:00 by Slavon8

Note: See TracTickets for help on using tickets.